// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__087325E9_662A_11D3_B45E_000001200881__INCLUDED_)
#define AFX_MAINFRM_H__087325E9_662A_11D3_B45E_000001200881__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "JeremyBitmapResizeBar.h"
#include "DlgBitmapListe.h"


class CMainFrame : public CFrameWnd
{
	
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:
	BOOL AddToolBar (CToolBar &ToolBarToAdd,UINT IdToolBar,UINT Pos);
	CJeremyBitmapResizeBar BitmapBar;
	CDlgBitmapListe DlgBitmapList;

	void AddBitmap (CString FileName);
	HBITMAP GetTextureHandle (int index);




// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CToolBar    m_wndToolBarManipTerrain;
	CToolBar    m_wndToolBarDessin;
	CToolBar	m_wndToolBarAction;

// Generated message map functions
protected:
	CSplitterWnd m_wndSplitter;
	virtual BOOL OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContext);
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSelectionnerTexture();
	afx_msg void OnUpdateSelectionnerTexture(CCmdUI* pCmdUI);
	afx_msg void OnSupprimerTexture();
	afx_msg void OnUpdateSupprimerTexture(CCmdUI* pCmdUI);
	afx_msg void OnChargerAvecPaint();
	afx_msg void OnDetail();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__087325E9_662A_11D3_B45E_000001200881__INCLUDED_)
