// DlgConfigMouse.cpp : implementation file
//

#include "stdafx.h"
#include "MakeTerrain.h"
#include "DlgConfigMouse.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgConfigMouse dialog


CDlgConfigMouse::CDlgConfigMouse(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgConfigMouse::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgConfigMouse)
	//}}AFX_DATA_INIT
}


void CDlgConfigMouse::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgConfigMouse)
	DDX_Control(pDX, IDC_SLIDER_ZOOM, SliderZoom);
	DDX_Control(pDX, IDC_SLIDER_ROTATE, SliderRotate);
	DDX_Control(pDX, IDC_SLIDER_HAUTEUR, SliderHauteur);
	DDX_Control(pDX, IDC_SLIDER_DEPLACEMENT, SliderDep);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgConfigMouse, CDialog)
	//{{AFX_MSG_MAP(CDlgConfigMouse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgConfigMouse message handlers

void CDlgConfigMouse::OnOK() 
{
	// TODO: Add extra validation here
	
	CDialog::OnOK();
}

BOOL CDlgConfigMouse::OnNotify(WPARAM wParam, LPARAM lParam, LRESULT* pResult) 
{
	// TODO: Add your specialized code here and/or call the base class
	NMHDR * pNotify;
	pNotify = (NMHDR *) lParam;

	switch (pNotify->idFrom)
	{

		case IDC_SLIDER_HAUTEUR:UpdateSliderHauteur ();break;
		case IDC_SLIDER_ZOOM:UpdateSliderZoom ();break;
		case IDC_SLIDER_ROTATE:UpdateSliderRotate ();break;
		case IDC_SLIDER_DEPLACEMENT:UpdateSliderDep ();break;
	}

	// TODO: Add your specialized code here and/or call the base class
	return CDialog::OnNotify(wParam, lParam, pResult);
}



BOOL CDlgConfigMouse::OnInitDialog() 
{

	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	SliderZoom.SetRange (1,1000);
	SliderRotate.SetRange (1,50);
	SliderHauteur.SetRange (1,1000);
	SliderDep.SetRange (1,1000);


	SliderZoom.SetPos (Zoom);
	SliderRotate.SetPos (Rotate);
	SliderHauteur.SetPos (Hauteur);
	SliderDep.SetPos (Dep);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}


void CDlgConfigMouse::UpdateSliderHauteur ()
{
	Hauteur = SliderHauteur.GetPos ();
	SetDlgItemInt (IDC_SENSIBILITE_HAUTEUR,Hauteur);
}

void CDlgConfigMouse::UpdateSliderZoom ()
{
	Zoom = SliderZoom.GetPos ();
	SetDlgItemInt (IDC_SENSIBILITE_ZOOM,Zoom);
}

void CDlgConfigMouse::UpdateSliderRotate ()
{
	Rotate = SliderRotate.GetPos ();
	SetDlgItemInt (IDC_SENSIBILITE_ROTATE,Rotate);
}

void CDlgConfigMouse::UpdateSliderDep ()
{
	Dep = SliderDep.GetPos ();
	SetDlgItemInt (IDC_SENSIBILITE_DEPLACEMENT,Dep);
}




