// DlgHauteurAlea.cpp : implementation file
//

#include "stdafx.h"
#include "MakeTerrain.h"
#include "DlgHauteurAlea.h"
#include "MakeTerrainDoc.h"
#include "OpenglView.h"
#include "MakeTerrainView.h"



extern CMakeTerrainDoc * pGlobalDoc;
extern COpenglView * pOpenGlView;
extern CMakeTerrainView * p2dView;


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDlgHauteurAlea dialog


CDlgHauteurAlea::CDlgHauteurAlea(CWnd* pParent /*=NULL*/)
	: CDialog(CDlgHauteurAlea::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDlgHauteurAlea)
	Alea = 0;
	//}}AFX_DATA_INIT
}


void CDlgHauteurAlea::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDlgHauteurAlea)
	DDX_Text(pDX, IDC_EDIT_ALEA, Alea);
	DDV_MinMaxUInt(pDX, Alea, 0, 1000000);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CDlgHauteurAlea, CDialog)
	//{{AFX_MSG_MAP(CDlgHauteurAlea)
	ON_BN_CLICKED(IDC_APPLIQUER, OnAppliquer)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDlgHauteurAlea message handlers

void CDlgHauteurAlea::OnAppliquer() 
{
	// TODO: Add your control notification handler code here
	UpdateData (TRUE);
	pGlobalDoc->SetAleaHauteur (Alea);
	pOpenGlView->Invalidate (FALSE);
	p2dView->Invalidate (FALSE);


}
